# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Mixin-Linewise
Version:	0.108
Release:	9.%{__distinit}%{__distvers}
Summary:	Write your linewise code for handles; this does the rest
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Mixin-Linewise/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Mixin-Linewise-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(PerlIO::utf8_strict)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter) >= 0.9
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(utf8)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
# Extra Tests
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
It's boring to deal with opening files for IO, converting strings to
handle-like objects, and all that. With Mixin::Linewise::Readers and
Mixin::Linewise::Writers, you can just write a method to handle handles,
and methods for handling strings and filenames are added for you.

%prep
%setup -q -n Mixin-Linewise-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Mixin/
%{_mandir}/man3/Mixin::Linewise.3*
%{_mandir}/man3/Mixin::Linewise::Readers.3*
%{_mandir}/man3/Mixin::Linewise::Writers.3*

%changelog
* Fri Apr 27 2018 Paul Howarth <paul@city-fan.org> - 0.108-9
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workarounds for building with Test::More < 0.88

* Mon Sep  5 2016 Paul Howarth <paul@city-fan.org> - 0.108-5
- BR: perl-generators where available
- Simplify find command using -delete

* Tue Jun 23 2015 Paul Howarth <paul@city-fan.org> - 0.108-3
- Perl 5.22 rebuild

* Thu Apr  9 2015 Paul Howarth <paul@city-fan.org> - 0.108-1
- Update to 0.108
  - First argument can be options only if there are two arguments
- Update patches as needed

* Wed Apr  8 2015 Paul Howarth <paul@city-fan.org> - 0.107-1
- Update to 0.107
  - Add leading hashref arg for passing binmode to read_string, write_string
  - Do not modify references of args passed to read_file, write_file
- Update patches as needed

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.106-3
- Drop %%defattr, redundant since rpm 4.4
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Use %%license where possible

* Mon Mar 10 2014 Paul Howarth <paul@city-fan.org> - 0.106-1
- Update to 0.106
  - Avoid dumb v-string warning in dumb perl versions
- Update patches as needed

* Fri Feb 21 2014 Paul Howarth <paul@city-fan.org> - 0.105-1
- Update to 0.105
  - Update Readers to, by default, use PerlIO::utf8_strict to avoid problems
    with CRLF layer on Win32
- Update patches as needed

* Sun Dec 22 2013 Paul Howarth <paul@city-fan.org> - 0.104-1
- Update to 0.104
  - Clean up the docs for changes made in 0.103
- Update patches as needed

* Sat Dec 21 2013 Paul Howarth <paul@city-fan.org> - 0.103-1
- Update to 0.103
  - The string methods once again open references to scalars, rather than using
    IO::Scalar
- Update patches as needed

* Tue Nov  5 2013 Paul Howarth <paul@city-fan.org> - 0.102-1
- Update to 0.102
  [THIS MIGHT BREAK YOUR CODE]
  - Add binmode option to set binmode on opened filehandles; this defaults to
    encoding(UTF-8)
 - Typo fix by the inimitable David Steinbrunner
- Update patches as needed

* Fri Jul 19 2013 Paul Howarth <paul@city-fan.org> - 0.004-2
- Perl 5.18 rebuild

* Wed Jun 19 2013 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - Repackaged using Dist::Zilla
- Drop BR: perl(Cwd), perl(File::Path) and perl(File::Spec) as we no longer
  use Module::Install
- Drop BR: perl(Test::Pod::Coverage) as there's no longer a coverage test
- BR: perl(File::Find) and perl(File::Temp) for the test suite
- Add patch to support building with ExtUtils::MakeMaker < 6.30
- Update patch for building with Test::More < 0.88

* Fri Jul  6 2012 Paul Howarth <paul@city-fan.org> - 0.003-7
- BR: perl(Carp), perl(Cwd), perl(File::Path), perl(File::Spec), perl(IO::File)
  and perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 0.003-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.003-3
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> - 0.003-2
- Fix dist tag for RHEL-6 Beta

* Mon Feb 15 2010 Paul Howarth <paul@city-fan.org> - 0.003-1
- Update to 0.003 (add Test::More prereq)
- Run release tests too
- BR: perl(Test::Pod) and perl(Test::Pod::Coverage)
- Patch test suite if we have Test::More < 0.88

* Wed Feb  3 2010 Paul Howarth <paul@city-fan.org> - 0.002-4
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.002-3
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Iain Arnell - 0.002-1
- Specfile autogenerated by cpanspec 1.77
